from tkinter import *
from tkinter import ttk

#This is tha main window usulayy called Root
root = Tk()
root.title("simple Calculator")

numButtonSizeX=10;
numButtonSizeY=10;
calcScreenSize=50;


#FUNCTIONS It doenst matter if this is before the decalaritions(PYthon Thing). 
def myClick(): 
    clicText = "Label 1 Entry is:  " + myEntry.get()
    myCLickLabel = Label(root, text=clicText)
    myCLickLabel.grid(row=5, column=0)

# Creating a widget label
#Labels
myLabel1 = Label(root, text="Label1")
myLabel2 = Label(root, text="Label2")
#Buttons
myButton1 = Button(root, text="do not press", state=DISABLED, padx=10,pady=10,fg="blue",bg="orange")
myButton2 = Button(root, text="do not press",command=myClick,fg="blue",bg="orange")
 
#Entry
myEntry = Entry(root, width=50)
myEntry.insert(0, "Isert Label one's Entry")
myEntry.grid(row=0, column=1)

#Showing on the screen and aranging them
myLabel1.grid(row=0, column=0)
myLabel2.grid(row=1, column=0)
myButton1.grid(row=3, column=0)
myButton2.grid(row=4, column=0)




#Main Loop Equivalent of our main(); 
root.mainloop()


